Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 361)
@@ -76,4 +76,6 @@
 				<key>playSound</key>
 				<string>NSButtonCell</string>
+				<key>removeMessageButton</key>
+				<string>NSButton</string>
 				<key>script</key>
 				<string>NJRFSObjectSelector</string>
@@ -167,4 +169,18 @@
 		<dict>
 			<key>CLASS</key>
+			<string>NJRUnfocusableMovieView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSMovieView</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
 			<string>FirstResponder</string>
 			<key>LANGUAGE</key>
@@ -175,18 +191,4 @@
 		<dict>
 			<key>CLASS</key>
-			<string>NJRUnfocusableMovieView</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSMovieView</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>NSObject</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
 			<string>NJRIntervalField</string>
 			<key>LANGUAGE</key>
@@ -199,4 +201,17 @@
 			<key>SUPERCLASS</key>
 			<string>NSTextField</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>checkForUpdates</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>SUUpdater</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
 		</dict>
 		<dict>
Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 361)
@@ -8,8 +8,10 @@
 	<string>../../Pester.xcodeproj</string>
 	<key>IBOldestOS</key>
-	<integer>5</integer>
+	<integer>4</integer>
 	<key>IBOpenObjects</key>
 	<array>
 		<integer>640</integer>
+		<integer>2</integer>
+		<integer>29</integer>
 	</array>
 	<key>IBSystem Version</key>
Index: trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/classes.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/classes.nib	(revision 361)
@@ -1,19 +1,56 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {
-            ACTIONS = {clear = id; }; 
-            CLASS = NJRHotKeyField; 
-            LANGUAGE = ObjC; 
-            SUPERCLASS = NSTextField; 
-        }, 
-        {
-            ACTIONS = {hotKeySet = id; }; 
-            CLASS = PSPreferencesController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {setAlarmHotKey = NJRHotKeyField; }; 
-            SUPERCLASS = NSWindowController; 
-        }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>clear</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>NJRHotKeyField</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTextField</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>hotKeySet</key>
+				<string>NJRHotKeyField</string>
+			</dict>
+			<key>CLASS</key>
+			<string>PSPreferencesController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>setAlarmHotKey</key>
+				<string>NJRHotKeyField</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSWindowController</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/info.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Preferences.nib/info.nib	(revision 361)
@@ -1,26 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>629</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../../Pester.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>5</integer>
+		<integer>6</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>6I32</string>
-	<key>IBUserGuides</key>
-	<dict>
-		<key>5</key>
-		<dict>
-			<key>guideLocations</key>
-			<array>
-				<string>Vertical:181.000000</string>
-			</array>
-			<key>guidesLocked</key>
-			<false/>
-		</dict>
-	</dict>
+	<string>9B18</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/classes.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/classes.nib	(revision 361)
@@ -1,22 +1,71 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {
-            ACTIONS = {contentsClicked = id; }; 
-            CLASS = NJRReadMeController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                body = NSTextView; 
-                bodyBox = NSBox; 
-                contents = NSTableView; 
-                contentsBox = NSBox; 
-                progress = NSProgressIndicator; 
-                progressTabs = NSTabView; 
-                splitter = NSSplitView; 
-            }; 
-            SUPERCLASS = NSWindowController; 
-        }, 
-        {CLASS = NJRSplitView; LANGUAGE = ObjC; SUPERCLASS = NSSplitView; }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>contentsClicked</key>
+				<string>NSTableView</string>
+			</dict>
+			<key>CLASS</key>
+			<string>NJRReadMeController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>body</key>
+				<string>NSTextView</string>
+				<key>bodyBox</key>
+				<string>NSBox</string>
+				<key>contents</key>
+				<string>NSTableView</string>
+				<key>contentsBox</key>
+				<string>NSBox</string>
+				<key>progress</key>
+				<string>NSProgressIndicator</string>
+				<key>progressTabs</key>
+				<string>NSTabView</string>
+				<key>splitter</key>
+				<string>NSSplitView</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSWindowController</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSTableView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSControl</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NJRSplitView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSSplitView</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/info.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Read Me.nib/info.nib	(revision 361)
@@ -1,16 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>68 14 356 240 0 0 1280 832 </string>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>629</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../../Pester.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>5</integer>
+		<integer>7</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>6I32</string>
+	<string>9B18</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/classes.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/classes.nib	(revision 361)
@@ -1,20 +1,69 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {
-            ACTIONS = {close = id; dateCompleted = id; showCalendar = id; snooze = id; update = id; }; 
-            CLASS = PSSnoozeUntilController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                messageField = NSTextField; 
-                snoozeButton = NSButton; 
-                timeCalendarButton = NSButton; 
-                timeDate = NSTextField; 
-                timeDateCompletions = NSPopUpButton; 
-                timeOfDay = NSTextField; 
-            }; 
-            SUPERCLASS = NSWindowController; 
-        }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>close</key>
+				<string>id</string>
+				<key>dateCompleted</key>
+				<string>NSPopUpButton</string>
+				<key>showCalendar</key>
+				<string>NSButton</string>
+				<key>snooze</key>
+				<string>NSButton</string>
+				<key>update</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>PSSnoozeUntilController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>messageField</key>
+				<string>NSTextField</string>
+				<key>snoozeButton</key>
+				<string>NSButton</string>
+				<key>timeCalendarButton</key>
+				<string>NSButton</string>
+				<key>timeDate</key>
+				<string>NSTextField</string>
+				<key>timeDateCompletions</key>
+				<string>NSPopUpButton</string>
+				<key>timeOfDay</key>
+				<string>NSTextField</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSWindowController</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSMenuItem</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/info.nib	(revision 360)
+++ trunk/Cocoa/Pester/Source/English.lproj/Snooze until.nib/info.nib	(revision 361)
@@ -1,21 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>24 13 356 240 0 0 1280 832 </string>
-	<key>IBEditorPositions</key>
-	<dict>
-		<key>70</key>
-		<string>24 258 111 180 0 0 1280 832 </string>
-	</dict>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>629</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../../Pester.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>8</integer>
+		<integer>105</integer>
+		<integer>22</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>6I32</string>
+	<string>9B18</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>