Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 361)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 363)
@@ -19,4 +19,12 @@
 		</dict>
 		<dict>
+			<key>CLASS</key>
+			<string>NSDisclosureButtonCell</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSButtonCell</string>
+		</dict>
+		<dict>
 			<key>ACTIONS</key>
 			<dict>
@@ -119,12 +127,4 @@
 		</dict>
 		<dict>
-			<key>CLASS</key>
-			<string>NSDisclosureButtonCell</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSButtonCell</string>
-		</dict>
-		<dict>
 			<key>ACTIONS</key>
 			<dict>
@@ -140,12 +140,4 @@
 			<key>SUPERCLASS</key>
 			<string>NSComboBox</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>NSMenuItem</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSObject</string>
 		</dict>
 		<dict>
@@ -169,4 +161,26 @@
 		<dict>
 			<key>CLASS</key>
+			<string>NSMenuItem</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSObject</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
 			<string>NJRUnfocusableMovieView</string>
 			<key>LANGUAGE</key>
@@ -174,18 +188,4 @@
 			<key>SUPERCLASS</key>
 			<string>NSMovieView</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>NSObject</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-		</dict>
-		<dict>
-			<key>CLASS</key>
-			<string>FirstResponder</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSObject</string>
 		</dict>
 		<dict>
Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 361)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 363)
@@ -8,10 +8,8 @@
 	<string>../../Pester.xcodeproj</string>
 	<key>IBOldestOS</key>
-	<integer>4</integer>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>640</integer>
-		<integer>2</integer>
-		<integer>29</integer>
+		<integer>169</integer>
 	</array>
 	<key>IBSystem Version</key>
Index: trunk/Cocoa/Pester/Source/Info-Pester.plist
===================================================================
--- trunk/Cocoa/Pester/Source/Info-Pester.plist	(revision 361)
+++ trunk/Cocoa/Pester/Source/Info-Pester.plist	(revision 363)
@@ -24,5 +24,5 @@
 	<string>Pest</string>
 	<key>CFBundleVersion</key>
-	<string>20</string>
+	<string>21</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/Cocoa/Pester/Source/PSAlarmSetController.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 361)
+++ trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 363)
@@ -84,5 +84,5 @@
         [self _setVolume: volume withPreview: NO];
     }
-    [editAlert setIntValue: [defaults boolForKey: PSAlertsEditing]];
+    [editAlert setIntValue: 1]; // XXX temporary for 1.1b5
     {
         NSDictionary *plAlerts = [defaults dictionaryForKey: PSAlertsSelected];
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 361)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 363)
@@ -198,46 +198,5 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E17563EE0CF91CBE00FC5057</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>VERSION - SCM</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E17563EF0CF91CBE00FC5057</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>VERSION - SCM</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E17563F10CF91CBE00FC5057</string>
-						<key>history</key>
-						<array>
-							<string>E17563F00CF91CBE00FC5057</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {795, 904}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>1196 -55 795 924 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-	</array>
+	<array/>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -271,6 +230,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -302,14 +259,10 @@
 										<string>29B97314FDCFA39411CA2CEA</string>
 										<string>080E96DDFE201D6D7F000001</string>
-										<string>F560E311035787D501A4E466</string>
-										<string>F560E313035787ED01A4E466</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
-										<string>E19DCBE503BE516000B934BF</string>
+										<string>E17562BC0CF8E7A800FC5057</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>13</integer>
-											<integer>4</integer>
 											<integer>1</integer>
 											<integer>0</integer>
@@ -376,5 +329,5 @@
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>2</integer>
 										</array>
 									</array>
@@ -476,6 +429,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E175636A0CF917AE00FC5057</string>
-				<string>E175636B0CF917AE00FC5057</string>
+				<string>E1F961A10CF9F8E70087C980</string>
+				<string>E1F961A20CF9F8E70087C980</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -510,11 +463,6 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E17563EE0CF91CBE00FC5057</string>
+		<string>/Users/nicholas/Documents/Development/Pester/Source/Pester.xcodeproj</string>
 		<string>E1B123120CF664D6004975AA</string>
-		<string>/Users/nicholas/Documents/Development/Pester/Source/Pester.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
@@ -686,5 +634,5 @@
 								<string>{{0, 0}, {930, 253}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1122 632 930 535 0 0 1920 1178 </string>
+								<string>928 514 930 535 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -694,4 +642,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -710,5 +660,5 @@
 								<string>{{0, 258}, {930, 236}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1122 632 930 535 0 0 1920 1178 </string>
+								<string>928 514 930 535 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -733,5 +683,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E17563F30CF91CBE00FC5057</string>
+				<string>E175647E0CF9EA4700FC5057</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -740,5 +690,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>1122 632 930 535 0 0 1920 1178 </string>
+			<string>928 514 930 535 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -853,11 +803,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E17563F40CF91CBE00FC5057</string>
+				<string>E17564230CF9EA2400FC5057</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E17563F50CF91CBE00FC5057</string>
-				<string>E17563F60CF91CBE00FC5057</string>
-				<string>E17563F70CF91CBE00FC5057</string>
-				<string>E17563F80CF91CBE00FC5057</string>
-				<string>E17563F90CF91CBE00FC5057</string>
+				<string>E17564240CF9EA2400FC5057</string>
+				<string>E17564250CF9EA2400FC5057</string>
+				<string>E17564260CF9EA2400FC5057</string>
+				<string>E17564270CF9EA2400FC5057</string>
+				<string>E17564280CF9EA2400FC5057</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -891,5 +841,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string></string>
+										<string>&lt;No Editor&gt;</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -912,6 +862,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -949,6 +897,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E17563E30CF91B2B00FC5057</string>
-				<string>E17563E40CF91B2B00FC5057</string>
+				<string>E17564860CF9F5F400FC5057</string>
+				<string>E17564870CF9F5F400FC5057</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -978,4 +926,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -990,5 +940,5 @@
 								<string>{{0, 0}, {915, 284}}</string>
 								<key>RubberWindowFrame</key>
-								<string>446 137 915 325 0 0 1920 1178 </string>
+								<string>447 136 915 325 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1013,5 +963,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E17563FA0CF91CBE00FC5057</string>
+				<string>E17564290CF9EA2400FC5057</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1019,5 +969,5 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>446 137 915 325 0 0 1920 1178 </string>
+			<string>447 136 915 325 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
@@ -1086,5 +1036,5 @@
 								<string>{{0, 0}, {545, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>935 571 545 283 0 0 1920 1178 </string>
+								<string>934 569 545 283 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1125,4 +1075,6 @@
 								<key>PBXProjectModuleLabel</key>
 								<string>SCM Results</string>
+								<key>SCMActivityViewerShowingDefaultKey</key>
+								<string>{{0, 237}, {545, 0}}</string>
 							</dict>
 							<key>GeometryConfiguration</key>
@@ -1131,5 +1083,5 @@
 								<string>{{0, 5}, {545, 237}}</string>
 								<key>RubberWindowFrame</key>
-								<string>935 571 545 283 0 0 1920 1178 </string>
+								<string>934 569 545 283 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1154,5 +1106,5 @@
 			<array>
 				<string>E1B123120CF664D6004975AA</string>
-				<string>E175636C0CF917AE00FC5057</string>
+				<string>E1F961A30CF9F8E70087C980</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1161,5 +1113,5 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>935 571 545 283 0 0 1920 1178 </string>
+			<string>934 569 545 283 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>E1B123120CF664D6004975AA</string>
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 361)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 363)
@@ -75,5 +75,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 217651110;
+			PBXPerProjectTemplateStateSaveDate = 217708774;
 			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
 				ContentSize = "{618, 257}";
@@ -794,9 +794,5 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 217651110;
-		};
-		perUserProjectItems = {
-			E17563F00CF91CBE00FC5057 /* XCDiffFileBookmark */ = E17563F00CF91CBE00FC5057 /* XCDiffFileBookmark */;
-			E17563F10CF91CBE00FC5057 /* PBXBookmark */ = E17563F10CF91CBE00FC5057 /* PBXBookmark */;
+			PBXWorkspaceStateSaveDate = 217708774;
 		};
 		sourceControlManager = E1B11EDC0CF5F2EB004975AA /* Source Control */;
@@ -858,7 +854,7 @@
 	E130B9AD03B7C59700000028 /* PSPowerManager.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 946}}";
-			sepNavSelRange = "{371, 0}";
-			sepNavVisRange = "{0, 1745}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1045}}";
+			sepNavSelRange = "{386, 27}";
+			sepNavVisRange = "{24, 683}";
 			sepNavWindowFrame = "{{153, 349}, {889, 698}}";
 		};
@@ -934,16 +930,11 @@
 		};
 	};
-	E17563F00CF91CBE00FC5057 /* XCDiffFileBookmark */ = {
-		isa = XCDiffFileBookmark;
-		id = "D9676918-B97A-407A-AED6-5D30E0CD9744-40821-00010A860D9876AB";
-	};
-	E17563F10CF91CBE00FC5057 /* PBXBookmark */ = {
-		isa = PBXBookmark;
-		fRef = E17563F20CF91CBE00FC5057 /* VERSION - SCM */;
-	};
-	E17563F20CF91CBE00FC5057 /* VERSION - SCM */ = {
-		isa = PBXFileReference;
-		path = "VERSION - SCM";
-		sourceTree = "<group>";
+	E17562BE0CF8E7D000FC5057 /* release-notes.html */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {993, 897}}";
+			sepNavSelRange = "{419, 0}";
+			sepNavVisRange = "{0, 471}";
+			sepNavWindowFrame = "{{222, 51}, {1052, 933}}";
+		};
 	};
 	E17CA6640CF697FE00018B34 /* SetPortRGBForeColor */ = {
@@ -1061,4 +1052,19 @@
 		breakpointsEnabled = 0;
 		configStateDict = {
+			"PBXLSLaunchAction-0" = {
+				PBXLSLaunchAction = 0;
+				PBXLSLaunchStartAction = 1;
+				PBXLSLaunchStdioStyle = 2;
+				PBXLSLaunchStyle = 0;
+				class = PBXLSRunLaunchConfig;
+				commandLineArgs = (
+				);
+				displayName = "Executable Runner";
+				environment = {
+				};
+				identifier = com.apple.Xcode.launch.runConfig;
+				remoteHostInfo = "";
+				startActionInfo = "";
+			};
 		};
 		customDataFormattersEnabled = 1;
@@ -1286,5 +1292,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {940, 1092}}";
-			sepNavSelRange = "{484, 0}";
+			sepNavSelRange = "{945, 9}";
 			sepNavVisRange = "{0, 2347}";
 			sepNavWindowFrame = "{{23, 50}, {999, 1128}}";
@@ -1293,8 +1299,8 @@
 	F59DC6D40353C9E601AEEDB1 /* PSAlarmSetController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {940, 6517}}";
-			sepNavSelRange = "{3828, 6}";
-			sepNavVisRange = "{883, 5392}";
-			sepNavWindowFrame = "{{868, 50}, {999, 1128}}";
+			sepNavIntBoundsRect = "{{0, 0}, {940, 6539}}";
+			sepNavSelRange = "{4235, 0}";
+			sepNavVisRange = "{2184, 4891}";
+			sepNavWindowFrame = "{{507, 50}, {999, 1128}}";
 		};
 	};
Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 361)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 363)
@@ -966,5 +966,5 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = NO;
-				CURRENT_PROJECT_VERSION = 20;
+				CURRENT_PROJECT_VERSION = 21;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(FRAMEWORK_SEARCH_PATHS_QUOTED_FOR_TARGET_1)",
@@ -1004,5 +1004,5 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = YES;
-				CURRENT_PROJECT_VERSION = 20;
+				CURRENT_PROJECT_VERSION = 21;
 				FRAMEWORK_SEARCH_PATHS = (
 					"$(FRAMEWORK_SEARCH_PATHS_QUOTED_FOR_TARGET_1)",