Index: trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 364)
+++ trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.mode2v3	(revision 366)
@@ -198,5 +198,225 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array/>
+	<array>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E150468D0CFD567100DE47E9</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>PSAlarm.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E150468E0CFD567100DE47E9</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>PSAlarm.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15046B30CFD5BA600DE47E9</string>
+						<key>history</key>
+						<array>
+							<string>E150468F0CFD567100DE47E9</string>
+							<string>E15046A90CFD5AF700DE47E9</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E15046900CFD567100DE47E9</string>
+							<string>E15046910CFD567100DE47E9</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {1052, 913}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>179 245 1052 933 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15046930CFD567100DE47E9</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>PSSnoozeUntilController.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15046940CFD567100DE47E9</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>PSSnoozeUntilController.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15046B40CFD5BA600DE47E9</string>
+						<key>history</key>
+						<array>
+							<string>E15046950CFD567100DE47E9</string>
+							<string>E15046AD0CFD5B6400DE47E9</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E15046970CFD567100DE47E9</string>
+							<string>E15046980CFD567100DE47E9</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {872, 915}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>688 76 872 935 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E150469E0CFD567100DE47E9</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>PSAlarm.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E150469F0CFD567100DE47E9</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>PSAlarm.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15046B50CFD5BA600DE47E9</string>
+						<key>history</key>
+						<array>
+							<string>E15046A00CFD567100DE47E9</string>
+							<string>E15046A10CFD567100DE47E9</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E15046A20CFD567100DE47E9</string>
+							<string>E15046A30CFD567100DE47E9</string>
+							<string>E15046A40CFD567100DE47E9</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {1016, 966}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>466 188 1016 986 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E150469A0CFD567100DE47E9</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>PSTimeDateEditor.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E150469B0CFD567100DE47E9</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>PSTimeDateEditor.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15046B60CFD5BA600DE47E9</string>
+						<key>history</key>
+						<array>
+							<string>E150469C0CFD567100DE47E9</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {889, 678}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>102 123 889 698 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15046A60CFD567100DE47E9</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>PSAlarmNotifierController.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15046A70CFD567100DE47E9</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>PSAlarmNotifierController.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15046B70CFD5BA600DE47E9</string>
+						<key>history</key>
+						<array>
+							<string>E15046760CFD507900DE47E9</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {820, 819}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>613 82 820 839 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+	</array>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -262,7 +482,4 @@
 										<string>080E96DDFE201D6D7F000001</string>
 										<string>F560E311035787D501A4E466</string>
-										<string>F560E314035787F901A4E466</string>
-										<string>F59E47AF036AAC31016B311C</string>
-										<string>F560E312035787E001A4E466</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
 										<string>E10E71F3040C335800050002</string>
@@ -273,11 +490,12 @@
 									<array>
 										<array>
-											<integer>110</integer>
-											<integer>108</integer>
+											<integer>22</integer>
+											<integer>4</integer>
+											<integer>1</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 1497}, {334, 441}}</string>
+									<string>{{0, 596}, {334, 441}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -438,6 +656,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E15045D00CFCF47100DE47E9</string>
-				<string>E15045D10CFCF47100DE47E9</string>
+				<string>E15046720CFD4F8A00DE47E9</string>
+				<string>E15046730CFD4F8A00DE47E9</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -472,5 +690,13 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E1B123120CF664D6004975AA</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E15046A60CFD567100DE47E9</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E150469A0CFD567100DE47E9</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E150469E0CFD567100DE47E9</string>
+		<string>E15046930CFD567100DE47E9</string>
+		<string>E150468D0CFD567100DE47E9</string>
 		<string>/Users/nicholas/Documents/Development/Pester/Source/Pester.xcodeproj</string>
 	</array>
@@ -636,5 +862,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>NJRValidatingField.h</string>
+								<string>PSAlarm.m</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -692,5 +918,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E15043790CFB91AF00DE47E9</string>
+				<string>E150467F0CFD54FF00DE47E9</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -703,5 +929,5 @@
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -734,6 +960,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {445, 368}}</string>
-											<string>{{445, 0}, {536, 368}}</string>
+											<string>{{0, 0}, {445, 375}}</string>
+											<string>{{445, 0}, {536, 375}}</string>
 										</array>
 									</dict>
@@ -750,6 +976,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {981, 368}}</string>
-											<string>{{0, 368}, {981, 350}}</string>
+											<string>{{0, 0}, {981, 375}}</string>
+											<string>{{0, 375}, {981, 343}}</string>
 										</array>
 									</dict>
@@ -784,5 +1010,5 @@
 									</array>
 									<key>Frame</key>
-									<string>{{445, 0}, {536, 368}}</string>
+									<string>{{445, 0}, {536, 375}}</string>
 									<key>RubberWindowFrame</key>
 									<string>843 200 981 759 0 0 1920 1178 </string>
@@ -812,11 +1038,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E15043670CFB8D4800DE47E9</string>
+				<string>E15046800CFD54FF00DE47E9</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E15043680CFB8D4800DE47E9</string>
-				<string>E15043690CFB8D4800DE47E9</string>
-				<string>E150436A0CFB8D4800DE47E9</string>
-				<string>E150436B0CFB8D4800DE47E9</string>
-				<string>E150436C0CFB8D4800DE47E9</string>
+				<string>E15046810CFD54FF00DE47E9</string>
+				<string>E15046820CFD54FF00DE47E9</string>
+				<string>E15046830CFD54FF00DE47E9</string>
+				<string>E15046840CFD54FF00DE47E9</string>
+				<string>E15046850CFD54FF00DE47E9</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -850,5 +1076,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>PSApplication.m</string>
+										<string>PSAlarm.m</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -908,6 +1134,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E15043970CFBA77500DE47E9</string>
-				<string>E15043980CFBA77500DE47E9</string>
+				<string>E15046870CFD54FF00DE47E9</string>
+				<string>E15046880CFD54FF00DE47E9</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -918,5 +1144,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -974,5 +1200,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E150436D0CFB8D4800DE47E9</string>
+				<string>E15046890CFD54FF00DE47E9</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -984,5 +1210,5 @@
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1115,5 +1341,5 @@
 			<array>
 				<string>E1B123120CF664D6004975AA</string>
-				<string>E150465E0CFCFB0200DE47E9</string>
+				<string>E15046670CFD45AE00DE47E9</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1126,5 +1352,5 @@
 			<string>E1B123120CF664D6004975AA</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>